<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
            http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.yifu.cloud.plus.v1</groupId>
        <artifactId>yifu</artifactId>
        <version>1.0.0</version>
    </parent>

    <artifactId>yifu-salary-biz</artifactId>
    <packaging>jar</packaging>

    <description>yifu-salary 业务模块</description>


    <dependencies>
		<!-- seata 依赖 -->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-seata</artifactId>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-ekp</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-salary-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<!--选配: orm 模块-->
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		<!--必备：安全模块-->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-security</artifactId>
		</dependency>
		<!--必备：日志处理-->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-log</artifactId>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-insurances-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<!--必备：swagger-->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-swagger</artifactId>
		</dependency>
		<!--必备：undertow容器-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-undertow</artifactId>
		</dependency>
		<dependency>
			<groupId>cn.hutool</groupId>
			<version>5.8.0</version>
			<artifactId>hutool-all</artifactId>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-archives-api</artifactId>
			<version>1.0.0</version>
			<scope>compile</scope>
		</dependency>
        <dependency>
            <groupId>com.yifu.cloud.plus.v1</groupId>
            <artifactId>yifu-social-api</artifactId>
            <version>1.0.0</version>
            <scope>compile</scope>
        </dependency>
		<dependency>
			<groupId>com.monitorjbl</groupId>
			<artifactId>xlsx-streamer</artifactId>
			<version>2.2.0</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>com.spotify</groupId>
				<artifactId>docker-maven-plugin</artifactId>
				<version>1.1.0</version>
				<configuration>
					<serverId>docker-hub</serverId>
					<!--指定生成的镜像名-->
					<imageName>${my.hub.host}/${map.group.name}/${project.artifactId}:${project.version}</imageName>
					<dockerDirectory>${project.basedir}/</dockerDirectory>
					<!--指定远程 docker api地址-->
					<!--<dockerHost>http://172.16.66.232:2375</dockerHost>-->
					<!--  这里是复制 jar 包到 docker 容器指定目录配置-->
					<resources>
						<resource>
							<targetPath>/</targetPath>
							<!--jar 包所在的路径  此处配置的 即对应 target 目录-->
							<directory>${project.build.directory}</directory>
							<!-- 需要包含的 jar包 ，这里对应的是 Dockerfile中添加的文件名　-->
							<include>${project.build.finalName}.jar</include>
						</resource>
					</resources>
					<forceTags>true</forceTags>
				</configuration>
			</plugin>
		</plugins>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
				<excludes>
					<exclude>**/*.xlsx</exclude>
					<exclude>**/*.xls</exclude>
				</excludes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>false</filtering>
				<includes>
					<include>**/*.xlsx</include>
					<include>**/*.xls</include>
				</includes>
			</resource>
		</resources>
	</build>
</project>
